log_target Struct Reference
Osmocom logging framework

structure representing a logging target More...

`#include <logging.h>`

## Data Fields

struct llist_head | entry
| linked list
int | filter_map
| Internal data for filtering.
void * | filter_data [LOG_MAX_FILTERS+1]
| Internal data for filtering.
struct log_category * | categories
| logging categories
uint8_t | loglevel
| global log level
unsigned int | use_color:1
| should color be used when printing log messages?
unsigned int | print_timestamp:1
| should log messages be prefixed with a timestamp?
unsigned int | print_filename:1
| should log messages be prefixed with a filename?
unsigned int | print_category:1
| should log messages be prefixed with a category name?
unsigned int | print_ext_timestamp:1
| should log messages be prefixed with an extended timestamp?
enum log_target_type | type
| the type of this log taget
union {
struct {
FILE * out
const char * fname
} tgt_file
struct {
int priority
int facility
} tgt_syslog
struct {
void * vty
} tgt_vty
struct {
void * rb
} tgt_rb
}; |
void(* | output )(struct log_target *target, unsigned int level, const char *string)
| call-back function to be called when the logging framework wants to log somethnig. More...

## Detailed Description

structure representing a logging target

## Field Documentation

## output

void(* log_target::output) (struct log_target *target, unsigned int level, const char *string)

call-back function to be called when the logging framework wants to log somethnig.

Parameters

  [in] | target | logging target
  [in] | level | log level of currnet message
  [in] | string | the string that is to be written to the log

Referenced by log_target_create_file(), log_target_create_rb(), log_target_create_stderr(), log_target_create_syslog(), and log_target_destroy().

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h